// Initialize the roster grid with player cards
const rosterGrid = document.querySelector('.roster-grid');
const players = [
  { name: 'John Doe', position: 'Fly-half', number: 10 },
  { name: 'Jane Smith', position: 'Fullback', number: 15 },
  { name: 'Mike Johnson', position: 'Prop', number: 1 }
];

players.forEach(player => {
  const card = document.createElement('div');
  card.className = 'player-card';
  card.innerHTML = `
    <h3>${player.name}</h3>
    <p>${player.position}</p>
    <p>#${player.number}</p>
  `;
  rosterGrid.appendChild(card);
});

// Smooth scrolling for navigation links
document.querySelectorAll('nav a').forEach(anchor => {
  anchor.addEventListener('click', function(e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});